<script>
	import routingIntercept from '@/utils/permission.js'
	export default {
		onLaunch: function() {
			console.log('App Launch')
			routingIntercept()
		},
		onShow: function() {
			console.log('App Show')
		},
		onHide: function() {
			console.log('App Hide')
		}
	}
</script>

<style lang="scss">
	@import "uview-ui/index.scss";
	@import "@/common/iconfont/icon.scss";
	/*每个页面公共css */
	.status_bar {
		height: var(--status-bar-height);
		width: 100%;
	}
	uni-modal{
		z-index: 19999 !important;
	}
</style>
